Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05928 Crash/Freeze Minor Always Apr 30, 2015, 17:23 Nov 6, 2016, 08:02
Tester Hammy View Status Public Platform
Assigned To Phil Bennett Resolution Fixed OS
Status [?] Resolved Driver zn.cpp
Version 0.161 Fixed in Version 0.180 Build
Summary 05928: nbajamex: game crashes / nvram gets corrupted
Description if the game is left in attract mode it will crash. upon an f3 reset and entering service mode all nvram data looks corrupted.

if you do the factory reset's in the test menu the nvram will be ok, but the crash / corruption will happen again in attract.
you might get shown a nice 3d bouncing ball / dev credits after the reset - usually the attract mode dies before it is shown.

if you reset the game without resetting the nvram the game is confused about things such as 'free play' etc and i think crashes quicker.

tested on .158 and .161 32/64 windows
Steps To Reproduce run game and wait.. not long! you can fast forward to the error and it happens the same.
Additional Information
Flags
Regression Version
Affected Sets / Systems nbajamex
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.11635
B2K24
Moderator
Apr 30, 2015, 21:26
I can confirm this and can trigger the freeze every time.

During attract mode after it shows some demo game play with 4 players. You'll see Insert Coin in blue letters and it will cycle though that screen and a credits screen a couple times. After those cycles the game will freeze/hang.
User avatar
No.11665
georgc3
Tester
May 9, 2015, 21:05
The game also does not seem to have any sound even if it's marked as sound emulation not 100% accurate when I get into the gameplay after inserting coins. I even tried adjusting the volume through the dipswitch setting and still does not work. I wondering if this issue can be fixed.
User avatar
No.13321
Phil Bennett
Developer
Nov 6, 2016, 08:02
The extra NVRAM required by the game wasn't hooked up. It is now, along with the RAX sound board.